// Eccoci all'ultimo esercizio della prima serie... il gran finale!!
// Nuovo nome: PRIMI

#include <cstdlib>
#include <iostream>

using namespace std;

int main(int argc, char *argv[])
{


int num, i;

cout<<"Fornisci un numero intero positivo: (e non fare il furbo) " ;
cin>>num;

for (i=2;i<num;i=i+1)
	if (num%i==0)
		break;
		
if (i==num)
	cout<<"Il numero "<<num<<" e' primo!\n\n" ;
else 
	cout<<"Il numero "<<num<<" non e' primo!\n\n" ;

system("PAUSE");
return EXIT_SUCCESS;
}


/*  
E ora un po' di teoria...

I numeri primi sono quei numeri che sono divisibili esattamente solo per se stessi e per uno.
Per esempio, 17  un numero primo, perch  divisibile solo per 17 e per uno.
Invece 16 non  un numero primo, perch  divisibile per uno, per 2, per 4 e per 16.

Ecco le novit di questo programma:

1) Il commento iniziale su una sola riga, scritto usando // (funziona solo con i commenti
di una sola riga!!)

2) Il ciclo FOR  un modo alternativo al WHILE per scrivere i cicli, molto comodo quando
si ha una variabile contatore da incrementare ad ogni ripetizione (in questo caso il
contatore  "i"). Il ciclo FOR del nostro programma  esattamente equivalente a

					i = 2;
					while (i < 10)
						{
						if (num%i == 0)
							break;
						i=i+1;
						}

In pratica non c' nessuna differenza di uso fra il FOR e il WHILE. Il FOR  solo pi
compatto e veloce da scrivere in molti casi, perch contiene gi al suo interno quasi
tutte le operazioni utili per il ciclo (inizializzazione del contatore, condizione di
ripetizione del ciclo, incremento del contatore). La sintassi  questa:

				for ( INIZIALIZZAZIONE ; CONDIZIONE ; INCREMENTO)
					ISTRUZIONI DEL CICLO ;

Se il ciclo FOR contiene una sola istruzione, non ha bisogno di parentesi graffe (come
in questo esempio).

3) L'altra novit interessante  l'operatore "%", che calcola il resto di una divisione
fra due numeri interi. In pratica ad esempio il risultato di
							10 % 3
vale 1, perch questo  il resto della divisione fra 10 e 3 (divisione fra numeri interi!).
Invece per esempio il risultato di
							15 % 5
vale zero, perch 15  esattamente divisibile per cinque (senza resto).

Sei riuscito adesso a capire come funziona questo meraviglioso programma? Per quanto riguarda
l'istruzione BREAK, te l'ho gi spiegata nel precedente esercizio (se non la ricordi, vai a
rivedertela!).

E adesso tocca a te! Ecco cosa ti propongo di fare...

Vorrei che provassi a modificare il programma in modo che visualizzi tutti i numeri primi minori
di cento. Cio il programma deve stampare sullo schermo una tabella di questo tipo:

2	3	5	7	11	13	17	19.... eccetera eccetera

ATTENZIONE: deve stampare solo i numeri che sono primi, non deve scrivere nient'altro!!!
Il nuovo programma si chiama PRIMI2

Come si fa? Ti dar un suggerimento (oggi sono di buon umore...): ci vuole un altro ciclo esterno,
un ciclo che contenga al suo interno il ciclo FOR del mio programma. Chiaro, no?

Finito questo programma, hai terminato la prima serie di esercizi di autoapprendimento.
Complimenti! Ne hai fatta di strada da quando scrivevi CIAO ! sullo schermo, no?
*/
				
				
